/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   Span.hpp                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2025/04/14 19:54:33 by adjoly            #+#    #+#             */
/*   Updated: 2025/04/16 10:12:43 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include <vector>
#include <stdint.h>

class Span {
  public:
	Span(unsigned int);
	~Span(void);

	void addNumber(int);

	int shortestSpan(void);
	int longestSpan(void);

  private:
	Span(void);

	std::vector<int> _vec;
	uint32_t		 _size;
	uint32_t		 _i;
};
